<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\KursUebersicht\Terminplan;

abstract class TerminplanPresenter extends \Kufer\KuferTools\Basis\Presenter\Presenter
{
  protected function getViewModel()
  {
    $viewModel = $this->getNewViewModel();
    $viewModel->belegIds = $this->useCaseResponse->belegIds;
    $viewModel->ktIds = $this->useCaseResponse->ktIds;
    $viewModel->vonDat = $this->useCaseResponse->vonDat;
    $viewModel->bisDat = $this->useCaseResponse->bisDat;
    $viewModel->toolId = $this->useCaseResponse->toolId;

    return $viewModel;
  }

  protected function getNewViewModel()
  {
    return new TerminplanViewModel();
  }

  protected function getJsFilesSrcAryWeitere()
  {
    return array(
      $this->getJsFileFromSys('kursuebersicht.js')
    );
  }
}